<link rel="stylesheet" type="text/css" href="assets/css/main.css">
<div *ngIf="product">

  <!--================Single Product Area =================-->
  <div class="product_image_area">
    <div class="container">
      <div class="row s_product_inner">
        <div class="col-lg-6">
          <!-- Image -->
          <img class="img-fluid" src="{{product.imageUrl}}" alt="">
        </div>

        <div class="col-lg-5 offset-lg-1">
          <div class="s_product_text">

            <!-- Name -->
            <h2 style="color:#222">{{product.name}}</h2>

            <!-- Price -->
            <h2>€{{product.price}}</h2>

            <!-- Category -->
            <div class="row">
              <div class="col-3">
                <span class= font-weight-bold>Categoria:</span>
              </div>
              <div class="col-6">
                <span>{{product.category}}</span>
              </div>
            </div>

            <!-- Availibility -->
            <div class="row">
              <div class="col-3">
                <span class= font-weight-bold>Disponível:</span>
              </div>
              <div class="col-6">
                <span>{{product.availibility}}</span>
              </div>
            </div>

            <!-- Color -->
            <div class="row">
              <div class="col-3">
                <span class= font-weight-bold>Cor:</span>
              </div>
              <div class="col-6">
                <div class="sorting">
                  <select class="nice-select">
                    <option *ngFor="let color of colors" value="{{color}}">{{color}}</option>
                  </select>
                </div>
              </div>
            </div>

            <!-- Quantity -->
            <div class="row">
              <div class="col-3">
                <span class= font-weight-bold>Quantidade:</span>
              </div>
              <div class="col-6">
                <div class="product_count sorting">
                  <input type="text" name="qty" id="quantityField" size="2" maxlength="12" value="{{quantity}}" min="1" title="Quantity:" class="input-text qty">

                  <button (click)="increaseQuantity('quantityField')" class="increase items-count" type="button">
                    <i class="ti-angle-up"></i>
                  </button>

                  <button (click)="decreaseQuantity('quantityField')" class="reduced items-count" type="button">
                    <i class="ti-angle-down"></i>
                  </button>
                </div>
              </div>
            </div>

            <br>

            <!-- Add cart -->
            <a class="button primary-btn" href="#">Adicionar ao carrinho</a>

          </div>
        </div>
    </div>
  </div>
  </div>
<!--================End Single Product Area =================-->

<!--================Product Description Area =================-->
 <section class="product_description_area">
  <div class="container">

    <!-- Tabs -->
    <ul class="nav nav-tabs" id="myTab" role="tablist">
      <li class="nav-item">
        <a class="nav-link active show" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home" aria-selected="false">Descrição</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile"
         aria-selected="true">Especificações</a>
      </li>
    </ul>

    <div class="tab-content" id="myTabContent">

      <!-- Description -->
      <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
         <p>{{product.description}}</p>
      </div>


      <!-- Specifications -->
      <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
        <div class="table-responsive">
          <table class="table">
            <tbody>

              <tr>
                <td>
                  <h5>Género</h5>
                </td>
                <td>
                  <h5>{{product.genre}}</h5>
                </td>
              </tr>

              <tr>
                <td>
                  <h5>Composição exterior</h5>
                </td>
                <td>
                  <h5>{{product.composition}}</h5>
                </td>
              </tr>

              <tr>
                <td>
                  <h5>Uso</h5>
                </td>
                <td>
                  <h5>{{product.type}}</h5>
                </td>
              </tr>

              <tr>
                <td>
                  <h5>Qualidade verificada</h5>
                </td>
                <td>
                  <h5>{{product.qualityCheck}}</h5>
                </td>
              </tr>

            </tbody>
          </table>
        </div>
      </div>

    </div>

  </div>
</section>
<!--================End Product Description Area =================-->

<!--================ Start related Product area =================-->
<section class="related-product-area section-margin--small mt-0">
  <div class="container">
    <div class="section-intro pb-60px">
      <p>Mais produtos para si</p>
      <h3><span class="section-intro__style">Produtos relacionados</span></h3>
    </div>
    <div class="row mt-30 col-xl-12">

      <div *ngFor="let product of relatedProducts" class="col-md-6 col-lg-4 col-xl-3">
        <div class="card text-center card-product" [routerLink]="['/product', product.id]">
          <div class="card-product__img">
            <img class="card-img" src="{{product.imageUrl}}" alt="">
          </div>
          <div class="card-body">
            <p>{{product.category}}</p>
            <h4 class="card-product__title"><a [routerLink]="['/product', product.id]">{{product.name}}</a></h4>
            <p class="card-product__price">€{{product.price}}</p>
          </div>
        </div>
      </div>

    </div>
  </div>
</section>
<!--================ end related Product area =================-->

</div>
